Page MenuHomeMiraheze

Extension installation on ManageWiki level
Closed, ResolvedPublic

Description

Currently we have restriction on some extensions blocked by install step and we create all SQL tables for all extensions on all wikis currently.

Installation steps would be things like creating sql tables when it's enabled in ManageWiki (with an obvious failsafe that if the tables don't get created, the extension isn't enabled) and then for external uses (maybe even us), when extensions are disabled, the SQL tables are removed and so on.

Should be a config array that can be extended to simplify complex install steps and so on.

  • SQL
  • Files
  • Permissions (MWP)
  • Maintenance scripts

Event Timeline

John triaged this task as Low priority.Jul 6 2018, 21:43
John created this task.
John moved this task from Backlog to MediaWiki on the Goal-2018-Jul-Dec board.Jul 6 2018, 21:43
John moved this task from Backlog to Features on the ManageWiki board.
John claimed this task.Sep 20 2018, 22:15

Is a complicated task to do cleanly.

Paladox added a comment.Oct 23 2018, 15:10

This is being worked on today to mitigate T3637

John updated the task description. (Show Details)Oct 23 2018, 17:46
Paladox added a comment.Nov 7 2018, 18:47

(Leaving a note here) that we should add the ability to run maint* scripts per extension. It would have been useful here T3770

John updated the task description. (Show Details)Nov 29 2018, 16:45
John updated the task description. (Show Details)

SQL was done a while ago. Working on adding files and MWP now. MWN is out of scope for this task because I kinda need this done before MWN can be worked on.

Maintenance scripts suggested above will be looked into and I'll see what I can do with that now.

MacFan4000 updated the task description. (Show Details)Dec 28 2018, 16:49
MacFan4000 updated the task description. (Show Details)
John updated the task description. (Show Details)Dec 28 2018, 17:01
John closed this task as Resolved.Dec 31 2018, 12:38

Maint scripts don’t seem detachable and will need to looked into more detail.

The major work of this task is done.